Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.jayasoft.ivy
Class ResolveData

    java.lang.Object
      fr.jayasoft.ivy.ResolveData

public class ResolveData
extends java.lang.Object

Constructor Summary
`ResolveData(Ivy ivy, java.io.File cache, java.util.Date date, ConfigurationResolveReport report, boolean validate)`
`ResolveData(Ivy ivy, java.io.File cache, java.util.Date date, ConfigurationResolveReport report, boolean validate, java.util.Map nodes)`
`ResolveData(ResolveData data, boolean validate)`

Method Summary
`java.io.File` | `getCache()`
`java.util.Date` | `getDate()`
`Ivy` | `getIvy()`
`IvyNode` | `getNode(ModuleRevisionId mrid)`
`java.util.Map` | `getNodes()`
`ConfigurationResolveReport` | `getReport()`
`boolean` | `isValidate()`
`void` | `register(IvyNode node)`
`void` | `register(ModuleRevisionId id, IvyNode node)`
`void` | `setReport(ConfigurationResolveReport report)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResolveData

    public ResolveData(ResolveData data,
                       boolean validate)

### ResolveData

    public ResolveData(Ivy ivy,
                       java.io.File cache,
                       java.util.Date date,
                       ConfigurationResolveReport report,
                       boolean validate)

### ResolveData

    public ResolveData(Ivy ivy,
                       java.io.File cache,
                       java.util.Date date,
                       ConfigurationResolveReport report,
                       boolean validate,
                       java.util.Map nodes)

Method Detail

### getCache

    public java.io.File getCache()

### getDate

    public java.util.Date getDate()

### getIvy

    public Ivy getIvy()

### getNodes

    public java.util.Map getNodes()

### getReport

    public ConfigurationResolveReport getReport()

### isValidate

    public boolean isValidate()

### getNode

    public IvyNode getNode(ModuleRevisionId mrid)

### register

    public void register(IvyNode node)

### register

    public void register(ModuleRevisionId id,
                         IvyNode node)

### setReport

    public void setReport(ConfigurationResolveReport report)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD